Bug 1097872 - Bad links for ovirt-release RPM on Quick Start guide
Summary: Bad links for ovirt-release RPM on Quick Start guide
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: doc-Installation-Guide
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.4.2
Assignee: Kiril Nesenko
QA Contact: bugs@ovirt.org
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-14 18:40 UTC by Bob Doolittle
Modified: 2014-07-11 00:10 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-11 06:44:26 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Bob Doolittle 2014-05-14 18:40:07 UTC
Description of problem:

The Quick Start guide:
http://www.ovirt.org/Quick_Start_Guide

has an invalid link for the ovirt-release RPM for Fedora:
http://resources.ovirt.org/releases/ovirt-release-fedora.noarch.rpm
and CentOS:
http://resources.ovirt.org/releases/ovirt-release-el.noarch.rpm

The correct link for both should be (I believe):
http://resources.ovirt.org/releases/ovirt-release.noarch.rpm

Comment 1 Nicolas Ecarnot 2014-05-15 06:49:31 UTC
Hi,

Could someone confirm the statement below is correct :

> The correct link for both should be (I believe):
> http://resources.ovirt.org/releases/ovirt-release.noarch.rpm


(I'm about to upgrade, I would be glad not to mess my setup.)

Comment 2 Sandro Bonazzola 2014-05-15 06:56:09 UTC
(In reply to nicolas from comment #1)
> Hi,
> 
> Could someone confirm the statement below is correct :
> 
> > The correct link for both should be (I believe):
> > http://resources.ovirt.org/releases/ovirt-release.noarch.rpm
> 
> 
> (I'm about to upgrade, I would be glad not to mess my setup.)

Currently it's a bit more complicated.
releases <= 3.4.0 should use http://resources.ovirt.org/releases/ovirt-release.noarch.rpm

releases >= 3.4.0 should use http://resources.ovirt.org/pub/yum-repo/ovirt-release34.rpm

Comment 3 Nicolas Ecarnot 2014-05-15 07:06:03 UTC
OK Sandro,

So according to what you say, I have to upgrade my 3.3.0-4.el6 setup (CentOS 6.4) just by running yum upgrade.

I don't get it. How will I switch from  http://resources.ovirt.org/releases/ovirt-release.noarch.rpm to http://resources.ovirt.org/pub/yum-repo/ovirt-release34.rpm ?

Comment 4 Sven Kieske 2014-05-15 07:12:25 UTC
(In reply to Sandro Bonazzola from comment #2)
> Currently it's a bit more complicated.
> releases <= 3.4.0 should use
> http://resources.ovirt.org/releases/ovirt-release.noarch.rpm
> 
> releases >= 3.4.0 should use
> http://resources.ovirt.org/pub/yum-repo/ovirt-release34.rpm

I'm sorry, but this is no clear statement, because this means:

if you got 3.4.0 installed you should use _both_
http://resources.ovirt.org/releases/ovirt-release.noarch.rpm
and
http://resources.ovirt.org/pub/yum-repo/ovirt-release34.rpm

I'm pretty sure it should mean:
releases < 3.4.0: http://resources.ovirt.org/releases/ovirt-release.noarch.rpm
releases >= 3.4.0: http://resources.ovirt.org/pub/yum-repo/ovirt-release34.rpm

@nicolas: I'm not 100% sure but I guess you just can do:
yum remove ovirt-release
yum install http://resources.ovirt.org/pub/yum-repo/ovirt-release34.rpm

HTH

Comment 5 Nicolas Ecarnot 2014-05-15 08:39:33 UTC
Thank you Sven for your hint.
I really appreciate your help, and I want to be sure not to break anything. This setup is in production.

To be clear, here is what's happening :

On this CentOS 6.4, at present, is installed :
-------------------------------------
root@serv-mvm-adm2:/etc# rpm -qa |grep -i ovirt
ovirt-engine-lib-3.3.0-4.el6.noarch
ovirt-iso-uploader-3.3.0-1.el6.noarch
ovirt-engine-cli-3.3.0.4-1.el6.noarch
ovirt-engine-restapi-3.3.0-4.el6.noarch
ovirt-engine-tools-3.3.0-4.el6.noarch
ovirt-release-el6-8-1.noarch
ovirt-engine-sdk-python-3.3.0.6-1.el6.noarch
ovirt-image-uploader-3.3.0-1.el6.noarch
ovirt-engine-webadmin-portal-3.3.0-4.el6.noarch
ovirt-engine-setup-3.3.0-4.el6.noarch
ovirt-engine-dbscripts-3.3.0-4.el6.noarch
ovirt-engine-3.3.0-4.el6.noarch
ovirt-engine-websocket-proxy-3.3.0-4.el6.noarch
ovirt-host-deploy-1.1.1-1.el6.noarch
ovirt-log-collector-3.3.0-1.el6.noarch
ovirt-host-deploy-java-1.1.1-1.el6.noarch
ovirt-engine-backend-3.3.0-4.el6.noarch
ovirt-engine-userportal-3.3.0-4.el6.noarch
-------------------------------------

So I guess your advice to "yum remove ovirt-release" should read "yum remove ovirt-release-el6-8-1.noarch"?
I ran it without going on, and there seem to be no related deletion when doing so.

I also tested to dry-run a yum upgrade, and I get that strange situation :

-------------------------------------
---> Package ovirt-engine-setup-base.noarch 0:3.4.0-1.el6 will be installed
---> Package ovirt-engine-setup-plugin-ovirt-engine.noarch 0:3.4.0-1.el6 will be installed
--> Processing Dependency: ovirt-engine >= 3.3.2 for package: ovirt-engine-setup-plugin-ovirt-engine-3.4.0-1.el6.noarch
---> Package ovirt-engine-setup-plugin-ovirt-engine-common.noarch 0:3.4.0-1.el6 will be installed
--> Processing Conflict: ovirt-engine-setup-plugin-ovirt-engine-3.4.0-1.el6.noarch conflicts ovirt-engine < 3.3.2
--> Finished Dependency Resolution
Error: Package: ovirt-engine-setup-plugin-ovirt-engine-3.4.0-1.el6.noarch (ovirt-stable)
           Requires: ovirt-engine >= 3.3.2
           Installed: ovirt-engine-3.3.0-4.el6.noarch (@ovirt-stable)
               ovirt-engine = 3.3.0-4.el6
Error: ovirt-engine-setup-plugin-ovirt-engine conflicts with ovirt-engine-3.3.0-4.el6.noarch
-------------------------------------

That is strange to see that a package not installed yet (ovirt-engine-setup-plugin-ovirt-engine) *will* be conflicting with a package I WANT to upgrade (ovirt-engine = 3.3.0-4.el6).

If this is secure, and if you confirm, I will try to yum remove ovirt-release-el6-8-1.noarch then yum install http://resources.ovirt.org/releases/ovirt-release.noarch.rpm, but one must admit the situation is not clear.

Comment 6 Sandro Bonazzola 2014-05-15 10:07:36 UTC
(In reply to Nicolas Ecarnot from comment #5)

> Error: Package: ovirt-engine-setup-plugin-ovirt-engine-3.4.0-1.el6.noarch
> (ovirt-stable)
>            Requires: ovirt-engine >= 3.3.2
>            Installed: ovirt-engine-3.3.0-4.el6.noarch (@ovirt-stable)
>                ovirt-engine = 3.3.0-4.el6
> Error: ovirt-engine-setup-plugin-ovirt-engine conflicts with
> ovirt-engine-3.3.0-4.el6.noarch
> -------------------------------------
> 
> That is strange to see that a package not installed yet
> (ovirt-engine-setup-plugin-ovirt-engine) *will* be conflicting with a
> package I WANT to upgrade (ovirt-engine = 3.3.0-4.el6).

It's not so strange.
Upgrading to 3.4.0 is supported only from >= 3.3.2.
For upgrading from 3.3.0 you must first upgrade to a newer 3.3.z version (latest is 3.3.5).

Above conflict prevent you from installing a setup version that can't work with what you have.

Comment 7 Kiril Nesenko 2014-05-15 11:00:30 UTC
Hello,

Can you please verify the changes ?

- Kiril

Comment 8 Nicolas Ecarnot 2014-05-15 11:50:55 UTC
Sandro,

During the last 3 hours, I realized what was the correct way to upgrading, RTFMing the release notes.
And you are right, I have an intermediate step to pass.

This is what I did, and I successfully stepped from 3.3.0-4.el6 to 3.3.5-1.el6, following this page's advice :
http://www.ovirt.org/OVirt_3.3.5_release_notes

I guess I have also to upgrade my hosts before stepping into 3.4 world.

Thank you for your help.

Comment 9 Bob Doolittle 2014-05-15 14:04:43 UTC
There is more work required to fix this issue.

There are still two links pointing to the wrong page at the top of that page.
The text reads:

-----------------------
The oVirt Engine must be configured to receive updates from the oVirt project's software repository, as provided by the ovirt-release package matching your OS distribution:

    Fedora
    CentOS. 
---------------------------

Those links still point to the wrong locations. Can we address it under this bug or do we need a new one?

Comment 10 Kiril Nesenko 2014-05-15 14:10:42 UTC
(In reply to Bob Doolittle from comment #9)
> There is more work required to fix this issue.
> 
> There are still two links pointing to the wrong page at the top of that page.
> The text reads:
> 
> -----------------------
> The oVirt Engine must be configured to receive updates from the oVirt
> project's software repository, as provided by the ovirt-release package
> matching your OS distribution:
> 
>     Fedora
>     CentOS. 
> ---------------------------
> 
> Those links still point to the wrong locations. Can we address it under this
> bug or do we need a new one?

No need, we can do it here. Let me fix.

- Kiril

Comment 11 Kiril Nesenko 2014-05-15 14:15:22 UTC
Hello Bob,

I fixed the links. Please let me know if there is something else that should be fixed.

- Kiril

Comment 12 Bob Doolittle 2014-05-15 14:16:37 UTC
Looking much better, thanks!

Comment 13 Bob Doolittle 2014-05-15 14:18:02 UTC
Well is CentOS 6.2 still the recommended version? Not 6.5? I know - different bug :) But as long as you are there...

Comment 14 Kiril Nesenko 2014-05-15 14:29:56 UTC
(In reply to Bob Doolittle from comment #13)
> Well is CentOS 6.2 still the recommended version? Not 6.5? I know -
> different bug :) But as long as you are there...

Fixed. You can just ping me on irc and I will fix the links :)

Or just summirize all issues here.

- Kiril

Comment 15 Sandro Bonazzola 2014-06-11 06:44:26 UTC
This is an automated message

oVirt 3.4.2 has been released:
 * should fix your issue
 * should be available at your local mirror within two days.

If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.